Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Bundle up, noe up

  • Loading branch information...
commit 0219ab8b4c597baed5e921814d690ae538c1dba8 1 parent ebce5d0
@blambeau authored
View
2  Gemfile
@@ -11,7 +11,7 @@ group :development do
gem "rake", "~> 0.9.2"
gem "bundler", "~> 1.0"
gem "rspec", "~> 2.8.0"
- gem "epath", "~> 0.0.1"
+ gem "epath", "~> 0.1.0"
gem "yard", "~> 0.7.2"
gem "bluecloth", "~> 2.2.0"
end
View
10 Gemfile.lock
@@ -3,7 +3,7 @@ PATH
specs:
viiite (0.3.0)
alf (~> 0.11.1)
- epath
+ epath (~> 0.1.0)
gnuplot (~> 2.3.6)
json
@@ -18,12 +18,12 @@ GEM
bluecloth (2.2.0)
citrus (2.4.1)
diff-lcs (1.1.3)
- epath (0.0.1)
+ epath (0.1.1)
gnuplot (2.3.6)
- json (1.6.5)
+ json (1.7.3)
mustache (0.99.4)
myrrha (1.2.2)
- quickl (0.4.2)
+ quickl (0.4.3)
rake (0.9.2.2)
rspec (2.8.0)
rspec-core (~> 2.8.0)
@@ -46,7 +46,7 @@ DEPENDENCIES
bluecloth (~> 2.2.0)
bundler (~> 1.0)
citrus (~> 2.4.1)
- epath (~> 0.0.1)
+ epath (~> 0.1.0)
mustache (~> 0.99.4)
rake (~> 0.9.2)
rspec (~> 2.8.0)
View
12 Rakefile
@@ -1,15 +1,3 @@
-begin
- gem "bundler", "~> 1.0"
- require "bundler/setup"
-rescue LoadError => ex
- puts ex.message
- abort "Bundler failed to load, (did you run 'gem install bundler' ?)"
-end
-
-# Dynamically load the gem spec
-$gemspec_file = File.expand_path('../wlang.gemspec', __FILE__)
-$gemspec = Kernel.eval(File.read($gemspec_file))
-
# We run tests by default
task :default => :test
View
13 tasks/gem.rake
@@ -25,13 +25,18 @@
#
begin
require 'rubygems/package_task'
- Gem::PackageTask.new($gemspec) do |t|
+
+ # Dynamically load the gem spec
+ gemspec_file = File.expand_path('../../wlang.gemspec', __FILE__)
+ gemspec = Kernel.eval(File.read(gemspec_file))
+
+ Gem::PackageTask.new(gemspec) do |t|
# Name of the package
- t.name = $gemspec.name
+ t.name = gemspec.name
# Version of the package
- t.version = $gemspec.version
+ t.version = gemspec.version
# Directory used to store the package files
t.package_dir = "pkg"
@@ -49,7 +54,7 @@ begin
t.need_zip = false
# List of files to be included in the package.
- t.package_files = $gemspec.files
+ t.package_files = gemspec.files
# Tar command for gzipped or bzip2ed archives.
t.tar_command = "tar"
View
2  wlang.gemspec
@@ -128,7 +128,7 @@ Gem::Specification.new do |s|
s.add_development_dependency("rake", "~> 0.9.2")
s.add_development_dependency("bundler", "~> 1.0")
s.add_development_dependency("rspec", "~> 2.8.0")
- s.add_development_dependency("epath", "~> 0.0.1")
+ s.add_development_dependency("epath", "~> 0.1.0")
s.add_development_dependency("yard", "~> 0.7.2")
s.add_development_dependency("bluecloth", "~> 2.2.0")
s.add_dependency("citrus", "~> 2.4.1")
View
6 wlang.noespec
@@ -1,6 +1,6 @@
template-info:
- name: "ruby"
- version: 1.7.0
+ name: "rubygem.noe"
+ version: 1.7.4
links:
source: https://github.com/blambeau/noe
manifest:
@@ -40,6 +40,6 @@ variables:
- {name: rake, version: "~> 0.9.2", groups: [development]}
- {name: bundler, version: "~> 1.0", groups: [development]}
- {name: rspec, version: "~> 2.8.0", groups: [development]}
- - {name: epath, version: "~> 0.0.1", groups: [development]}
+ - {name: epath, version: "~> 0.1.0", groups: [development]}
- {name: yard, version: "~> 0.7.2", groups: [development]}
- {name: bluecloth, version: "~> 2.2.0", groups: [development]}
Please sign in to comment.
Something went wrong with that request. Please try again.